Ext.namespace('AeroSQL');

AeroSQL.DBTable = Ext.extend(Ext.Panel, {
	
	initComponent: function() {
		
        this.sqlGrid = new AeroSQL.EditorSqlGridPanel({
            // region: 'center', 
            border: false,
            mode: 'table', 
            serverId: this.serverId,
            forceFit: true,
            dbName: this.dbName,
            tblName: this.tblName,
            tblColumns: '*'
        });
        
        this.add(this.sqlGrid);
        
		Ext.apply(this, {
			title: this.dbName + '.' + this.tblName,
			closable: true,
			iconCls: 'icon-tbl',
			// items: [grid],
			layout: 'fit',
            items: [this.sqlGrid],
            tbar: [
                {text: 'Manage Columns', iconCls: 'icon-col_man', disabled: true, scope: this},
                {text: 'Manage Indexes', iconCls: 'icon-idx_man', disabled: true, scope: this}
            ]
		});

		// AeroSQL.DBTable.superclass.initComponent.call(this);        
		AeroSQL.DBTable.superclass.initComponent.apply(this, arguments);
	},

//------------------------------------------------------------------------------------------------------------------------------------------------
	afterRender: function() {
        // call parent
        AeroSQL.DBTable.superclass.afterRender.apply(this, arguments);
		
        // create the Grid
        
        
        this.sqlGrid.openTable.defer(100, this.sqlGrid);
        
	}
});